* {
  box-sizing: border-box;
}

th {
  background: #def;
  border-bottom: 1px solid black;
}

caption {
  background: #333;
  color: #eee;
  font-size: 110%;
}

#Data td {
  text-align: right;
}

#Data td:nth-child(1) {
  text-align: left;
}

#Data table.avg tr > *:nth-child(2n + 2),
#Data table.avg [colspan] {
  border-left: 1px solid black;
}

#Data table.avg tr > *:nth-last-child(3) {
  border-right: none;
}

#Data table.avg tr:nth-last-child(3) td {
  border-bottom: none;
}

#Data table.avg th:nth-child(n+2) {
  width: 7em;
}

#Dataset td {
  text-align: left;
}

#Dataset td:nth-child(n + 9) {
  text-align: right;
}

#Dataset tr > * {
  border-right: 1px solid #ddd !important;
  border-bottom: 1px solid #bbb !important;;
}

table.totals td:nth-last-child(1),
table.totals td:nth-last-child(2),
table.totals tr:nth-last-child(1),
table.totals tr:nth-last-child(2) {
  background: #eee;
}

#Data table:not(.levels) tr > *:nth-child(1),
#Data table:not(.levels):not(.avg) tr > *:nth-last-child(3) {
  border-right: 1px solid black;
}

#Data table.levels td:nth-last-child(3) {
  border-right: 1px solid black;
}

#Data table.levels tr:nth-child(1) th:nth-last-child(3),
#Data table.levels tr:nth-child(2) th:nth-last-child(1),
#Data table.levels tr:nth-child(n + 1) th:nth-child(4),
#Data table.levels tr:nth-child(n + 1) th:nth-child(8),
#Data table.levels tr:nth-child(n + 1) th:nth-child(10),
#Data table.levels tr:nth-child(n + 1) td:nth-child(1),
#Data table.levels tr:nth-child(n + 1) td:nth-child(5),
#Data table.levels tr:nth-child(n + 1) td:nth-child(9),
#Data table.levels tr:nth-child(n + 1) td:nth-child(11) {
  border-right: 1px solid black;
}

#Data *[rowspan] {
  border-right: 1px solid black;
}

#Data tr:nth-last-child(3) td {
  border-bottom: 1px solid black;
}

.zero {
  color: silver;
  text-align: center !important;
}

img.spinner {
  display: none;
  width: 20px;
  border-radius: 50%;
}

nav {
  background: #246;
  padding: 0.5em;
  margin-bottom: 1em;
  color: white;
  font-weight: bold;
}

caption {
  padding: 0.5em 0;
}

#Data table {
  display: none;
}

.hidden {
  display: none;
}

table.levels {

}

zth[colspan]:before {
  content: '';
  border-right: 1px solid black;
  position: absolute;
  left: 0;
  height: 9999999px;
  z-index: 1;
}

th {
  position: relative;
}

table {
  overflow: hidden;
}

input:checked + div {
  border: 3px solid red;
  background: #ddd;
  z-index: -1;
}

input + div {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  border: 3px solid transparent;
  border-radius: 5px;
}

label {
  position: relative;
  padding: 0.3em;
}

#Data button:not(.submit) {
  background: transparent;
  border: 1px solid #69b;
  border-radius: 5px;
  color: white;
  font-weight: bold;
  cursor: pointer;
}

#Data button.selected {
  border: 1px solid black;
  color: black;
  background: #bfb;
}

nav > div > span {
  display: inline-block;
  width: 7em;
  color: #ddd;
}

nav > div {
  border-bottom: 1px solid #ddd;
  padding: 0.5em;
}

#Overlay .chosen-container {
  width: 100% !important;
}

div.filter .chosen-container input {
  background: #246 !important;
}

div.filter > div {
  display: inline-block;
}

select {
  display: none;
}

#Overlay {
  display: none;
  position: absolute;
  left: 25%;
  right: 25%;
  top: 25%;
  bottom: 25%;
  border: 1px solid #333;
  border-radius: 20px;
  background: #fed;
  box-shadow: 10px 10px 5px #888888;
  z-index: 1;
  opacity: 0;
  padding: 1em;
  font-size: 16px;
}

#Overlay.shown {
  display: block;
  opacity: 1;
  transition: all 5s;
}

#Overlay.shown + #Data {
  opacity: 0.3;
  pointer-events: none;
  transition: all 1s;
}

#Overlay > div {
  display: none;
}

#Overlay button {
  float: right;
}

div.nodata {
  display: none;
}

#Data button.xl {
  color: black;
  background: #eee;
}

button.xl {
  display: none;
}

#TooMany {
  color: red;
  font-weight: bold;
}

.timeframe {
  background-color: black !important;
  color: #eee;
}